summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jeremy Hansen2022-03-06 10:27:53 +0100
committer Willy Sudiarto Raharjo2022-03-07 02:45:20 +0100
commit9e0fb48159bb3827a913ea353b5602c39e58cedc (patch)
tree102892ff116cb660345c83366422c7163cbd61c5
parent901c760e5c709cc11e938d45b05028bfe2d65598 (diff)
downloadslackbuilds-9e0fb48159bb3827a913ea353b5602c39e58cedc.tar.gz
multimedia/inputstream.adaptive: Added (kodi addon).
This is needed by most of the other drm-related addons Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/inputstream.adaptive/README16
-rw-r--r--multimedia/inputstream.adaptive/inputstream.adaptive.SlackBuild109
-rw-r--r--multimedia/inputstream.adaptive/inputstream.adaptive.info10
-rw-r--r--multimedia/inputstream.adaptive/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/multimedia/inputstream.adaptive/README b/multimedia/inputstream.adaptive/README
new file mode 100644
index 0000000000..923b804ff6
--- /dev/null
+++ b/multimedia/inputstream.adaptive/README
@@ -0,0 +1,16 @@
+InputStream Adaptive (inputstream.adaptive) is a binary kodi addon
+that acts as a demuxer for segmented, multi-bitrate internet streams.
+On Kodi, InputStream Adaptive serves as a client for adaptive streams
+and can even play DRM content using an external library.
+
+It is an essential component for many popular video addons including
+Hummingbird, Netflix, YouTube, Disney Plus, Amazon Prime Video and SGK
+Live-Portal.
+
+NOTE: Many, if not all, players using inputstream.adaptive will
+require downloading and installing the Widevine Content Decryption
+Module (CDM). Widevine CDM is DRM licensing and encryption technology
+that is owned and maintained by Google.
+
+Kodi will prompt you to agree to download and install it the first
+time Widevine CDM is requested for use.
diff --git a/multimedia/inputstream.adaptive/inputstream.adaptive.SlackBuild b/multimedia/inputstream.adaptive/inputstream.adaptive.SlackBuild
new file mode 100644
index 0000000000..6e60cd9f9b
--- /dev/null
+++ b/multimedia/inputstream.adaptive/inputstream.adaptive.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for inputstream.adaptive
+
+# Copyright 2022 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=inputstream.adaptive
+CODNAM=Matrix
+VERSION=${VERSION:-19.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-$CODNAM
+tar xvf $CWD/$PRGNAM-$VERSION-$CODNAM.tar.gz
+cd $PRGNAM-$VERSION-$CODNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.GPL README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/inputstream.adaptive/inputstream.adaptive.info b/multimedia/inputstream.adaptive/inputstream.adaptive.info
new file mode 100644
index 0000000000..54f2410080
--- /dev/null
+++ b/multimedia/inputstream.adaptive/inputstream.adaptive.info
@@ -0,0 +1,10 @@
+PRGNAM="inputstream.adaptive"
+VERSION="19.0.3"
+HOMEPAGE="https://github.com/xbmc/inputstream.adaptive/"
+DOWNLOAD="https://github.com/xbmc/inputstream.adaptive/archive/19.0.3-Matrix/inputstream.adaptive-19.0.3-Matrix.tar.gz"
+MD5SUM="985308ef1521776553300933cf8be63e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="kodi pycryptodomex"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/multimedia/inputstream.adaptive/slack-desc b/multimedia/inputstream.adaptive/slack-desc
new file mode 100644
index 0000000000..6db0c57095
--- /dev/null
+++ b/multimedia/inputstream.adaptive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+inputstream.adaptive: inputstream.adaptive (kodi addon for adaptive streams)
+inputstream.adaptive:
+inputstream.adaptive: InputStream Adaptive (inputstream.adaptive) is a binary kodi addon
+inputstream.adaptive: that acts as a demuxer for segmented, multi-bitrate internet streams.
+inputstream.adaptive: On Kodi, InputStream Adaptive serves as a client for adaptive streams
+inputstream.adaptive: and can even play DRM content using an external library.
+inputstream.adaptive:
+inputstream.adaptive: It is an essential component for many popular video addons including
+inputstream.adaptive: Hummingbird, Netflix, YouTube, Disney Plus, Amazon Prime Video and SGK
+inputstream.adaptive: Live-Portal.
+inputstream.adaptive: